
QGIS Application - Bug report #17172

QGIS crashes when adding or clicking on base map or any raster layer

2017-09-20 09:05 PM - Nayeli  Carvajal

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.9 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25071

Description

I first noticed the issue when clicking on the google hybrid base map layer. I thought the issue was the OpenLayer plug in so I un-installed

and re-installed the plug in. Since that didn't work, I re-installed QGIS as well but the issue persisted. I then tried using a QuickMap plug

and the program doesn't crash with Streets map but with the satellite map it does. I also noticed the program began to crash when adding

any other raster layers.

Here is the report message I get when clicking on a raster layer I have on file but it seems to be the same as the one I get from the base

maps plug ins:

Process:               QGIS [10245]

Path:                  /Applications/QGIS.app/Contents/MacOS/QGIS

Identifier:            org.qgis.qgis2

Version:               2.18.9 (2.18.9 [exported])

Code Type:             X86-64 (Native)

Parent Process:        ??? [1]

Responsible:           QGIS [10245]

User ID:               501

Date/Time:             2017-09-20 12:01:49.207 -0700

OS Version:            Mac OS X 10.12.6 (16G29)

Report Version:        12

Anonymous UUID:        CC3B8B75-E1B7-3E88-12E3-99F67D310FD9

Sleep/Wake UUID:       B73A3C8D-0FBC-4491-9866-C17D2D84F8C3

Time Awake Since Boot: 250000 seconds

Time Since Wake:       1000 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)

Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000190

Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11

Termination Reason:    Namespace SIGNAL, Code 0xb

Terminating Process:   exc handler [0]
VM Regions Near 0x190:

--> 

    __TEXT                 000000010f75e000-000000010fc3c000 [ 4984K] r-x/rwx SM=COW 

/Applications/QGIS.app/Contents/MacOS/QGIS

History

#1 - 2017-09-21 11:31 AM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Pull Request or Patch supplied changed from Yes to No

- Operating System changed from iOS to macOS

- Status changed from Open to Feedback

Remove all the 3rd party plugins (better remove the entire .qgis2 folder), re-start qgis, re-install quick map services, try again add a raster (geotiff, wms,

etc.). Do not use the Openlayers plugin. Let us know.

#2 - 2018-02-02 09:18 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.

#3 - 2018-02-22 11:18 AM - Giovanni Manghi

- Resolution set to not reproducable
